/*update 20181102*/

.panel {
    background: #fff;
    border: 0;
    border-radius: 5px;
    margin: 0 0 15px 0;
    position: relative;
    overflow: visible;
    -webkit-box-shadow: 0px 2px 7px 0px rgba(0, 0, 0, 0.2);
    -moz-box-shadow: 0px 2px 7px 0px rgba(0, 0, 0, 0.2);
    box-shadow: 0px 2px 7px 0px rgba(0, 0, 0, 0.2);
}

.panel .panel-body {
    padding: 20px 30px;
}

.panel .form .form_row .btn_area {
  margin: 0;
  padding: 0;
  max-width: none;
}

.form {
    position: relative;
    z-index: 1;
}

.form .form_row * {
    box-sizing: border-box;
}

.form .form_row * {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    -ms-box-sizing: border-box;
    box-sizing: border-box;
}

.form .form_row *:after,
.form .form_row *:before {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    -ms-box-sizing: border-box;
    box-sizing: border-box;
}

.form .form_row {
    display: -webkit-flex;
    -webkit-align-items: flex-start;
    display: flex;
    align-items: flex-start;
    margin-bottom: 5px;
}

.form .form_row .rowTitle {
    display: -webkit-flex;
    -webkit-align-items: center;
    -webkit-flex: 0 0 155px;
    display: flex;
    align-items: center;
    flex: 0 0 155px;
    width: 155px;
    max-width: 155px;
    height: 50px;
    margin: 5px 0;
    padding-right: 10px;
    line-height: 1.2;
}

.form .form_row .rowTitle.w_auto {
    -webkit-flex: 0 0 auto;
    flex: 0 0 auto;
    width: auto;
}

.form .form_row .rowCont {
    margin: 0;
    width: 100%;
}

.form .form_row .rowCont .rowCont {
    padding-right: 0;
}

.form .form_row .rowCont.search_area {
    text-align: left;
}

.form .form_row .rowCont.search_area .search .input_field {
    margin: 5px 0;
}

.row.autoWidth .col {
    width: auto;
    max-width: none;
    -webkit-flex-grow: 0;
    -webkit-flex-basis: unset;
    flex-grow: 0;
    flex-basis: unset;
}

/* radio button & checkbox */
.form_row .rowCont > .form_choose:not(.ht_auto):not(.no-gutters) > .btn_choose:not(.btn_setting):not(.selectImg),
.form_row .rowCont > .form_choose:not(.ht_auto) > .row > [class*=col] > .btn_choose:not(.btn_setting):not(.selectImg),
.form_row .radioTab > .nav-item > .btn_choose {
  min-height: 50px;
  margin: 5px 0;
  padding-left: 0;
}
.form_row .form_choose:not(.no-gutters) .btn_choose:not(.btn_setting):not(.selectImg),
.form_row .radioTab > .nav-item > .btn_choose {
  padding-left: 0;
}
.form_row .form_choose:not(.no-gutters) .btn_choose:not(.btn_setting):not(.selectImg) label,
.form_row .radioTab > .nav-item > .btn_choose label {
  margin: 0 20px 0 0;
}
.form_row .form_choose:not(.no-gutters) .btn_choose:not(.btn_setting):not(.selectImg) label .mark,
.form_row .radioTab > .nav-item > .btn_choose label .mark {
  position: relative;
  -webkit-flex: 1 0 auto;
  flex: 1 0 auto;
}
.form_row .date_control .btn_choose {
  min-height: auto;
}
.form_row .rowCont .form_choose.form_setting {
  margin: 5px 0;
}
.form_row .rowCont .form_choose.form_setting .btn_setting {
  margin: 0 10px 0 0;
  padding-left: 0;
}
.form_row .txt.d-flex {
  min-height: 50px;
  margin: 5px 0;
}
.form_row .form_choose .txt.d-flex {
  margin-bottom: 0;
}
.form_row .badge-link {
  margin: 5px 5px 0 0;
}
.form_row .row.fixed_width .form_group:not(.setPoint) .input_field {
  max-width: 103px;
}
.form_row .row.fixed_width .form_group:not(.setPoint) .txt_info {
  -webkit-order: 4;
  order: 4;
}

@media all and (-ms-high-contrast: none) {
  /* IE11 Hack */
  *::-ms-backdrop,
  .form_row .form_choose .btn_choose {
    padding-top: 13px;
  }
  *::-ms-backdrop,
  .form_row .form_choose.ht_auto .btn_choose {
    padding-top: 0;
  }
}

.btn_choose {
  position: relative;
  margin: 5px 20px 5px 0;
  padding-left: 22px;
  display: -webkit-inline-flex;
  -webkit-align-items: center;
  -webkit-flex-wrap: wrap;
  display: inline-flex;
  align-items: center;
  flex-wrap: wrap;
  outline: none;
}
.btn_choose label {
  margin: 0;
  cursor: pointer;
  display: -webkit-inline-flex;
  -webkit-align-items: flex-start;
  display: inline-flex;
  align-items: flex-start;
  vertical-align: middle;
}
.btn_choose label:focus {
  outline: none;
}
.btn_choose .txt {
  margin-left: 3px;
  padding: 0;
  color: #262c2e;
  display: inline-block;
  vertical-align: middle;
  min-width: 0;
  -webkit-flex: 1 1 auto;
  flex: 1 1 auto;
}
.btn_choose .txt .link,
.btn_choose .txt .link_info {
  display: inline;
  position: relative;
  top: -1px;
}
.btn_choose .txt.txt_imp {
  color: #c01018;
}
.btn_choose.is-disabled label {
  cursor: default;
}
.btn_choose.is-disabled label .txt {
  color: #8aa1ac;
}
.btn_choose input[type="radio"],
.btn_choose input[type="checkbox"] {
  display: none;
}
.btn_choose input[type="radio"] + .mark {
  display: inline-block;
  width: 20px;
  height: 20px;
  background: #fff;
  border: 1px solid #BDCAD0;
  border-radius: 100%;
  position: absolute;
  top: 1px;
  left: 0;
  vertical-align: middle;
}
.btn_choose input[type="radio"] + .mark:after {
  content: "";
  border: 0;
  background: #fff;
  border-radius: 100%;
  height: 14px;
  width: 14px;
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}
.btn_choose input[type="radio"]:checked + .mark {
  border-color: #24a09a !important;
}
.btn_choose input[type="radio"]:checked + .mark:after {
  background: #24a09a !important;
}
.btn_choose input[type="radio"]:disabled + .mark {
  border-color: #becacf !important;
  background: #d8dfe3;
}
.btn_choose input[type="radio"]:disabled + .mark:after {
  background: #d8dfe3;
}
.btn_choose input[type="radio"]:disabled:checked + .mark {
  background: #fff !important;
}
.btn_choose input[type="radio"]:disabled:checked + .mark:after {
  background: #d8dfe3 !important;
}
.btn_choose input[type="checkbox"]:not(old) + .mark {
  border-radius: 4px;
  display: inline-block;
  position: absolute;
  top: 1px;
  left: 0;
  width: 20px;
  height: 20px;
  z-index: 1;
  border: 1px solid #BDCAD0;
  background: #fff;
  vertical-align: middle;
}
.btn_choose input[type="checkbox"]:not(old) + .mark.vm {
  top: 50%;
  -webkit-transform: translate(0, -50%);
  transform: translate(0, -50%);
}
.btn_choose input[type="checkbox"]:not(old):checked + .mark {
  background: #24a09a;
  border-color: #24a09a !important;
}
.btn_choose input[type="checkbox"]:not(old):checked + .mark:before {
  content: "\e916";
  font-family: "icomoon";
  font-size: 80%;
  color: #fff;
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  z-index: 2;
}
.btn_choose input[type="checkbox"]:not(old):disabled + .mark {
  border-color: #becacf;
  background: #d8dfe3;
}
.btn_choose input[type="checkbox"]:not(old):disabled:checked + .mark {
  border-color: #becacf !important;
  background: #d8dfe3;
}
.btn_choose input[type="checkbox"]:not(old):disabled:checked + .mark:after {
  background: #d8dfe3;
}
.btn_choose.w100p {
  -webkit-flex-wrap: nowrap;
  flex-wrap: nowrap;
}
.btn_choose.w100p label {
  -webkit-flex: 0 0 auto;
  flex: 0 0 auto;
}
.btn_choose.yellow input[type="checkbox"]:not(old):checked + .mark {
  background: #FFE082;
  border-color: #FFE082 !important;
}
.btn_choose.red input[type="checkbox"]:not(old):checked + .mark {
  background: #FF625E;
  border-color: #FF625E !important;
}

.btn_choose.btn_setting {
    width: 42px;
    height: 42px;
    min-height: auto;
    border-radius: 100%;
    -webkit-justify-content: center;
    justify-content: center;
    margin-right: 10px;
}

.btn_choose.btn_setting:before {
    display: none;
}

.btn_choose.btn_setting .txt {
    position: absolute;
    width: 42px;
    margin: 0;
    text-align: center;
    font-size: 75%;
    line-height: 1.2;
    color: #fff;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    z-index: 1;
}

.btn_choose.btn_setting input[type="checkbox"]:not(old) + .mark {
    border-radius: 100%;
    display: inline-block;
    position: static;
    width: 42px;
    height: 42px;
    border: 0;
    vertical-align: middle;
}

.btn_choose.btn_setting input[type="checkbox"]:not(old) + .mark {
    border: 1px solid #24a09a;
    background: #fff;
}

.btn_choose.btn_setting input[type="checkbox"]:not(old) + .mark + .txt {
    color: #24a09a;
}

.btn_choose.btn_setting input[type="checkbox"]:not(old):checked + .mark {
    background: #24a09a;
}

.btn_choose.btn_setting input[type="checkbox"]:not(old):checked + .mark + .txt {
    color: #fff;
}

.btn_choose.btn_setting input[type="checkbox"]:not(old):checked + .mark:before {
    display: none;
}

.btn_choose.btn_setting input[type="checkbox"]:not(old):disabled + .mark {
    border: 0;
    background: #d8dfe3;
}

.btn_choose.btn_setting input[type="checkbox"]:not(old):disabled + .mark + .txt {
    color: #fff;
}

.btn_choose.btn_setting input[type="checkbox"]:not(old):disabled:checked + .mark {
    background: #fff;
}

.btn_choose.btn_setting.viewOnly {
    background: #24a09a;
}

.btn_choose.is-reverse {
    margin: 0;
}

.btn_choose.is-reverse label {
    -webkit-flex-direction: row-reverse;
    flex-direction: row-reverse;
}

.btn_choose.is-reverse .txt {
    margin-right: 3px;
    margin-left: 0;
}

.txt {
    font-style: normal;
}

.mark {
    padding: .2em;
}

@media (max-width: 1169px) {
    .form_choose:before {
        content: attr(data-title);
        display: block;
        width: 100%;
        margin-bottom: 5px;
        line-height: 1.2;
    }
    .form_choose:after {
        content: '';
        width: 100%;
    }
    .form_choose .txt_info {
        margin-bottom: 5px;
        margin-right: 0;
        flex: 0 1 100%;
        -webkit-flex: 0 1 100%;
        -webkit-justify-content: flex-end;
        justify-content: flex-end;
        max-width: none;
    }
    .form_choose .link {
        width: 100%;
        -webkit-order: 1;
        order: 1;
        justify-content: flex-end;
        text-align: right;
    }
    .form_choose .info_area {
        width: 100%;
        text-align: right;
    }
    .form_choose.is-error .txt_error,
    .form_choose.is-error1 .txt_error,
    .form_choose.is-error2 .txt_error,
    .form_choose.is-error3 .txt_error,
    .form_choose.is-error4 .txt_error {
        justify-content: flex-end;
        -webkit-justify-content: flex-end;
    }
    .form_choose.mb-flex-column {
        -webkit-flex-direction: column;
        -webkit-align-items: flex-start;
        flex-direction: column;
        align-items: flex-start;
    }
    .form_choose.flex-column .form_group.no_title {
        margin-right: 0;
    }
    .form_choose.flex-column .btn_choose .txt_info {
        display: inline-flex;
        display: -webkit-inline-flex;
        width: auto;
        flex: 0 1 auto;
        -webkit-flex: 0 1 auto;
        margin-left: 5px;
    }
    .form_choose.flex-column .btn_choose .txt_info.rt {
        width: 100%;
        -webkit-justify-content: flex-end;
        -webkit-align-items: flex-end;
        justify-content: flex-end;
        align-items: flex-end;
        margin-left: 0;
    }
    .btn.btn-primary {
        max-width: 340px;
    }
    .form .form_row .rowTitle {
        display: none;
    }
    .form .form_row .rowCont {
        padding-right: 0;
    }
    .form .form_row .rowCont .form_choose {
        margin-top: 15px;
    }
    .form .form_row .rowCont .form_choose .btn_choose .form_group .dropdown {
        margin: 5px 0;
    }
    .form .form_row .field_title {
        margin-bottom: 5px;
    }
    .form .form_row .btn_choose:not(.btn_setting) {
        min-height: 30px;
    }
    .form .nav-tabs.radioTab {
        -webkit-flex-wrap: nowrap;
        flex-wrap: nowrap;
    }
    .form .nav-tabs.radioTab .btn_choose {
        white-space: nowrap;
    }
    .form .tab-content.radioTab .tab-pane {
        width: 100%;
        padding: 15px;
    }
    .form .tab-content.radioTab .rowTitle {
        margin-bottom: 5px;
    }
    .form_group {
        display: block;
    }
    .form_group .input_field {
        display: block;
        margin-right: 0;
        width: 100%;
        max-width: none;
    }
    .form_group .input_field:before {
        content: attr(data-title);
        position: absolute;
        top: 50%;
        left: 10px;
        -webkit-transform: translateY(-50%);
        transform: translateY(-50%);
        width: 84px;
        z-index: 0;
        line-height: 1.2;
        white-space: pre-line;
    }
    .form_group .input_field input {
        width: 100%;
        padding-left: 90px;
        z-index: 1;
    }
    .form_group .textarea {
        display: block;
        margin-right: 0;
        width: 100%;
        max-width: none;
        margin-top: 30px;
    }
    .form_group .textarea:before {
        content: attr(data-title);
        position: absolute;
        top: -15px;
        left: 0px;
        -webkit-transform: translateY(-50%);
        transform: translateY(-50%);
        width: 84px;
        z-index: 0;
        line-height: 1.2;
        white-space: pre-line;
    }
    .form_group .textarea textarea {
        width: 100%;
        z-index: 1;
    }
    .form_group .dropdown {
        width: 100%;
        max-width: unset;
        max-width: none;
        /*for IE*/
        margin-right: 0;
    }
    .form_group .dropdown:before {
        content: attr(data-title);
        position: absolute;
        top: 50%;
        -webkit-transform: translateY(-50%);
        transform: translateY(-50%);
        width: 84px;
        z-index: 0;
        line-height: 1.2;
        white-space: pre-line;
    }
    .form_group .dropdown .dropdown-toggle {
        display: block;
        z-index: 1;
    }
    .form_group .dropdown .dropdown-toggle input {
        padding-left: 90px;
    }
    .form_group .text:before {
        content: attr(data-title);
        display: block;
        width: 100%;
        margin-bottom: 5px;
        line-height: 1.2;
    }
    .form_group.is-error .txt_error {
        display: block;
    }
    .form_group .txt_info,
    .form_group .link {
        display: block;
    }
    .form_group .txt_error,
    .form_group .txt_info,
    .form_group .link,
    .form_group .link_info {
        text-align: right;
        margin-right: 0;
        min-height: auto;
        max-width: none !important;
    }
    .form_group .info_area {
        width: 100%;
        text-align: right;
    }
    .form_group.fixed_title .input_field:before {
        -webkit-transform: initial;
        transform: initial;
        transform: none;
    }
    .form_group.fixed_title .dropdown:before {
        -webkit-transform: initial;
        transform: initial;
        transform: none;
    }
    .form_group.verification .input_field {
        max-width: none;
        /*for IE*/
        max-width: unset;
    }
    .form_group.verification .input_field input {
        padding-left: 58px;
    }
    .form_group.verification.fixed_title .input_field input {
        padding-left: 62px;
    }
    .form_group.setPoint {
        -webkit-justify-content: space-between;
        justify-content: space-between;
    }
    .form_group.setPoint .input_field {
        width: 49%;
        margin: 5px 0;
        max-width: none;
    }
    .form_group.setPoint .input_field .txt_operator {
        left: 90px;
    }
    .form_group.setPoint .input_field input {
        padding-left: 110px;
    }
    .d-flex .form_group.setPoint {
        flex: 1 1 50%;
        margin-right: 5px;
    }
    .d-flex .form_group.setPoint:last-child {
        margin-left: 5px;
        margin-right: 0;
    }
    .d-flex .form_group.setPoint .input_field {
        width: 100%;
    }
    .form_group.no_title {
        width: 100%;
    }
    .form_group.no_title.wid_full {
        width: 100%;
    }
    .form_group.no_title.wid_full .dropdown {
        width: auto;
    }
    .form_group.hasflag .dropdown .dropdown-toggle {
        display: -webkit-flex;
        display: flex;
        padding-left: 90px;
    }
    .form_group.hasflag .dropdown .dropdown-toggle .flag {
        margin-right: 15px;
        margin-left: 5px;
    }
    .form_group.hasflag .dropdown .dropdown-toggle input {
        padding-left: 0;
    }
}
